{% extends 'base.html' %}

{% block title %}
    Tasks
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p>{{ project.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">Create a new task</a>
            </p>
            {% if project.tasks.all %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for tasks in project.tasks.all %}
                            <tr>
                                <td>{{ tasks.name }}</td>
                                <td>{{ tasks.assignee }}</td>
                                <td>{{ tasks.start_date }}</td>
                                <td>{{ tasks.due_date }}</td>
                                <td>{{ tasks.is_completed |yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </main>
    {% endblock content %}
